Subject: Changing the table header II ..!

From: [email-masked] (Bruce Taneja.)
Date: Sun, 26 Jun 1994 00:57:44 -0400 (EDT)

> From: [email-masked] (Paul M. Aoki)
> [email-masked] (Bruce Taneja.) writes:
> > -----------------------------------
> > |          circle  a              |
> > -----------------------------------      and not just ----------
> > |center x  |  center y  |  radius |                   |   a    |
> > -----------------------------------                   ----------
> 
> this header is produced by the terminal monitor, src/bin/monitor/monitor.c,
> not by postgres itself.  monitor is just another frontend app, you can hack 
> on that all you want..

I would like to know if there is a possiblity of writing a 
program (interfaced to libpq) which creates a header like the
one above and then uses the postgres's "retrieve (tutorial.all)"
to retrieve out the tuples in tutorial table one by one .. ?

Also is this retrieve going to automatically invoke the I/O
(overloaded) functions from the circle.c file ??
(just making sure that retrieve on complex objects from
programs interacting with the libpq works as it works from
the frontend) .. (hey don't make that face, I am new to this !)

Bruce!

==============================================================================
   To add/remove yourself to/from the POSTGRES mailing list: send mail with 
   the subject line ADD or DEL to "[email-masked]"

   If this fails, send mail to "[email-masked]" and
   a human will deal with it.  DO NOT post to the "postgres" mailing list.
==============================================================================